# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YtRelationship.Status

    java.lang.Object
      java.lang.Enum<YtRelationship.Status>
          com.google.gdata.data.youtube.YtRelationship.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YtRelationship.Status>

Enclosing class:
  YtRelationship

    public static enum YtRelationship.Status

extends java.lang.Enum<YtRelationship.Status>

Relationship value.

Enum Constant Summary
`OPEN`
`SINGLE`
`TAKEN`

Method Summary
`static YtRelationship.Status` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YtRelationship.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE

    public static final YtRelationship.Status SINGLE

### TAKEN

    public static final YtRelationship.Status TAKEN

### OPEN

    public static final YtRelationship.Status OPEN

Method Detail

### values

    public static YtRelationship.Status[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YtRelationship.Status c : YtRelationship.Status.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YtRelationship.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null